## ===========================================================================
##  Copyright (c) 1998-2000 K.U.Leuven
##  
##  This software is provided AS IS, without any express or implied
##  warranty.  In no event will the authors or the K.U.Leuven be held
##  liable for any damages or loss of profit arising from the use or
##  non-fitness for a particular purpose of this software.
##  
##  See file README in the home directory for details about
##  copyrights and licensing.
## ===========================================================================
##  NAME:       Makefile
##  TYPE:       makefile
##  PROJECT:    libvrml - VRML'97 node generator
##  CONTENT:    Makefile.am for NODEGEN directory
## ===========================================================================
##  AUTHORS:    jp      Jan Prikryl
## ===========================================================================
##  HISTORY:
##
##  30-Jan-00 17:16:30  jp      last modification
##  28-Jan-00 18:39:29  jp      created
## ===========================================================================
##
## Process this file with automake to produce Makefile.in
##

AUTOMAKE_OPTIONS = no-dependencies

noinst_PROGRAMS = nodegen
nodegen_SOURCES = \
	MFNode.C \
	Proto.C \
	SFImage.C \
	SFNode.C \
	error.C \
	fieldValue.C \
	interfaceDeclaration.C \
	nodegen.C \
	yacc.y++ \
	lex.l
DEPSOURCES = $(nodegen_SOURCES)
INCLUDES = -I$(top_srcdir)/VRML
noinst_HEADERS = \
	Assoc.H \
	Box.H \
	Geometry.H \
	Proto.H \
	Stack.H \
	error.H \
	nodeCatalog.H \
	nodegen.H \
	parser.H \
	vrml.H \
	yacc.h
EXTRA_DIST = \
	.cghead \
	Makefile.save \
	node.catalog \
	phbrml.nodes \
	standard.nodes

include $(top_srcdir)/make.rules

## ===========================================================================
## End of Makefile.am
## ===========================================================================
